From bf2d43de3f45486f84abf31deebaded0ee88d402 Mon Sep 17 00:00:00 2001
From: Michael Niedermayer <michaelni@gmx.at>
Date: Sat, 9 Oct 2010 19:52:06 +0000
Subject: [PATCH] Tool to analyze multimedia files and create directories and
 symlinks for the container type and codecs in each file that point back to
 the file.

Originally committed as revision 25428 to svn://svn.ffmpeg.org/ffmpeg/trunk
---
 tools/jauche_sortierer.sh | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100755 tools/jauche_sortierer.sh

diff --git a/tools/jauche_sortierer.sh b/tools/jauche_sortierer.sh
new file mode 100755
index 00000000000..1f84f1a2a9c
--- /dev/null
+++ b/tools/jauche_sortierer.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+#GPL
+#TODO
+#add pixelformat/sampleformat into the path of the codecs
+
+FFP=../ffprobe
+TMP=$(mktemp) || exit 1
+TARGET=$1
+shift
+
+for v do
+    BASE=$(basename $v)
+    echo $v | egrep -i '(public|private)' >/dev/null && echo Warning $v may be private
+    $FFP $v 2> $TMP
+    FORM=$((grep 'Input #0, ' -m1 $TMP || echo 'Input #0, unknown') | sed 's/Input #0, \([a-zA-Z0-9_]*\).*/\1/' )
+    mkdir -p $TARGET/container/$FORM
+    ln -s $v $TARGET/container/$FORM/$BASE
+    eval $(grep 'Stream #0\.[^:]*: [a-zA-Z0-9][^:]*: [a-zA-Z0-9]' $TMP | sed 's#[^:]*: \([a-zA-Z0-9]*\)[^:]*: \([a-zA-Z0-9]*\).*#mkdir -p '$TARGET'/\1/\2 ; ln -s '$v' '$TARGET'/\1/\2/'$BASE' ; #')
+done
+
+rm $TMP
-- 
GitLab